
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Document</title>
    <style>
      @import url("https://fonts.googleapis.com/css2?family=Kdam+Thmor+Pro&display=swap");
      body {
        font-family: "Kdam Thmor Pro", sans-serif;
        display: flex;
        align-items: center;
        justify-content: center;
        height: 100vh;
        width: 100wh;
      }
      #timer {
        font-size: 355px;
        font-weight: bolder;
        color: rgb(55, 55, 55);
      }

      #timerEditor {
        display: none;
        padding-right: 20px;
      }
      #timerEditor input {
        border: 1px solid #ccc;
        padding: 10px;
        margin-right: 20px;
        border-radius: 4px;
        width: 400px;
      }
    </style>
  </head>
  <body onload="start()">
    <div id="timer"></div>

    <div id="timerEditor">
      <input placeholder="Type the minutes" id="timerInput" />

      <button id="updateButton" onclick="updateTimer()">Update</button>
    </div>

    <button id="startButton" onclick="start()" style="margin-right: 10px">
      Start
    </button>
    <button id="stopButton" onclick="stop()" style="margin-right: 10px">
      Stop
    </button>
    <button id="editButton" onclick="showEditTimer()">Edit</button>
    <script>
      function updateTimer() {
        document.getElementById("stopButton").style.display = "block";
        document.getElementById("editButton").style.display = "block";
        document.getElementById("timerEditor").style.display = "none";

        let input = document.getElementById("timerInput");
        let newMinutes = parseInt(input.value);
        timerStartMinutes = newMinutes;
        time = timerStartMinutes * 60;

        start();
      }

      function showEditTimer() {
        stop();
        document.getElementById("stopButton").style.display = "none";
        document.getElementById("startButton").style.display = "none";
        document.getElementById("editButton").style.display = "none";
        document.getElementById("timer").style.display = "none";
        document.getElementById("timerEditor").style.display = "block";
      }
      let timerStartMinutes = 5;
      let time = timerStartMinutes * 60;

      let interval;

      function start() {
        document.getElementById("timer").innerHTML = "";
        interval = setInterval(timer, 1000);
        document.getElementById("stopButton").style.display = "block";
        document.getElementById("startButton").style.display = "none";
        document.getElementById("timer").style.display = "block";
      }

      function stop() {
        clearInterval(interval);
        document.getElementById("stopButton").style.display = "none";
        document.getElementById("startButton").style.display = "block";
      }

      function timer() {
        let minutes = Math.floor(time / 60);
        let seconds = time % 60;

        let timerDOMElement = document.getElementById("timer");

        timerDOMElement.innerHTML = `${
          minutes < 10 ? "0" + minutes : minutes
        }:${seconds < 10 ? "0" + seconds : seconds}`;

        time--;
      }
    </script>
  </body>
</html>
